Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# Basic_Handler Class Reference

The base class for all the Handler classes. More...

`#include <Basic_Handler.h>`

Inheritance diagram for Basic_Handler:

[legend]
Collaboration diagram for Basic_Handler:

[legend]
List of all members.

## Public Types
typedef ACE_Hash_Map_Manager< ACE_TString, int, ACE_Null_Mutex > | REF_MAP
typedef ACE_Hash_Map_Iterator< ACE_TString, int, ACE_Null_Mutex > | REF_ITER
typedef ACE_Hash_Map_Manager< int, ACE_TString, ACE_Null_Mutex > | IDREF_MAP
## Public Member Functions
| Basic_Handler (DOMDocument *doc, unsigned long filter_)
| Basic_Handler (DOMNodeIterator *iter, bool release=false)
| Basic_Handler (DOMDocument *doc, DOMNodeIterator *iter, bool release=false)
| ~Basic_Handler (void)
REF_MAP & | id_map ()
void | set_iter (DOMNodeIterator *iter)
void | set_doc (DOMDocument *doc)
## Protected Attributes
DOMDocumentTraversal * | traverse_
DOMDocument * | doc_
DOMNode * | root_
unsigned long | filter_
DOMNodeIterator * | iter_
bool | release_
int | index_
REF_MAP | id_map_
IDREF_MAP | idref_map_

## Detailed Description

The base class for all the Handler classes.

This class provides the functionalities common to all handler classes. Keeps variables for basic XML document handling, initialization/uninitialization, and required get/set methods.

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager<int, ACE_TString, ACE_Null_Mutex> Basic_Handler::IDREF_MAP

typedef ACE_Hash_Map_Iterator<ACE_TString, int, ACE_Null_Mutex> Basic_Handler::REF_ITER

typedef ACE_Hash_Map_Manager<ACE_TString, int, ACE_Null_Mutex> Basic_Handler::REF_MAP

## Constructor & Destructor Documentation

BEGIN_DEPLOYMENT_NAMESPACE Basic_Handler::Basic_Handler | ( | DOMDocument * | doc,
|  | unsigned long | filter_
| ) |

Basic_Handler::Basic_Handler | ( | DOMNodeIterator * | iter,
|  | bool | release = `false`
| ) |

Basic_Handler::Basic_Handler | ( | DOMDocument * | doc,
|  | DOMNodeIterator * | iter,
|  | bool | release = `false`
| ) |

Basic_Handler::~Basic_Handler | ( | void |  | ) |

## Member Function Documentation

REF_MAP& Basic_Handler::id_map | ( |  | ) | `[inline]`

void Basic_Handler::set_doc | ( | DOMDocument * | doc | ) | `[inline]`

void Basic_Handler::set_iter | ( | DOMNodeIterator * | iter | ) | `[inline]`

## Member Data Documentation

DOMDocument* Basic_Handler::doc_`[protected]`

unsigned long Basic_Handler::filter_`[protected]`

REF_MAP Basic_Handler::id_map_`[protected]`

IDREF_MAP Basic_Handler::idref_map_`[protected]`

int Basic_Handler::index_`[protected]`

DOMNodeIterator* Basic_Handler::iter_`[protected]`

bool Basic_Handler::release_`[protected]`

DOMNode* Basic_Handler::root_`[protected]`

DOMDocumentTraversal* Basic_Handler::traverse_`[protected]`

The documentation for this class was generated from the following files:

- Basic_Handler.h
- Basic_Handler.cpp